Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class SecurityIdentityTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.SecurityIdentityTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, SecurityIdentityType<T>

    public class SecurityIdentityTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, SecurityIdentityType<T>

This class implements the `security-identityType` xsd type

Original Documentation:

The security-identity element specifies whether a specific run-as identity
is to be used. If there is a run-as role defined for an enterprise bean, there can also be a
run-as-principal define here. If you don't define a run-as principal the callee will see
ctx.getCallerPrincipal() == 'anonymous' Used in: entity, message-driven, session

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`SecurityIdentityTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`SecurityIdentityTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getRunAsPrincipal()` Returns the `run-as-principal` element
`java.lang.Boolean` | `isUseCallerIdentity()`
`SecurityIdentityType<T>` | `removeAllDescription()` Removes the `description` element
`SecurityIdentityType<T>` | `removeRunAs()` Removes the `run-as` element
`SecurityIdentityType<T>` | `removeRunAsPrincipal()` Removes the `run-as-principal` element
`RunAsType<SecurityIdentityType<T>>` | `runAs()` If not already created, a new `run-as` element will be created and returned.
`SecurityIdentityType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`SecurityIdentityType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`SecurityIdentityType<T>` | `setRunAsPrincipal(java.lang.String runAsPrincipal)` If not already created, a new `run-as-principal` element with the given value will be created.
`T` | `up()`
`SecurityIdentityType<T>` | `useCallerIdentity()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityIdentityTypeImpl

    public SecurityIdentityTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### SecurityIdentityTypeImpl

    public SecurityIdentityTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public SecurityIdentityType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `SecurityIdentityType<T>`
  Returns:
    the current instance of `SecurityIdentityType`

### setDescriptionList

    public SecurityIdentityType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `SecurityIdentityType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `SecurityIdentityType`

### removeAllDescription

    public SecurityIdentityType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `SecurityIdentityType<T>`
  Returns:
    the current instance of `SecurityIdentityType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `SecurityIdentityType<T>`
  Returns:
    list of `description`

### setRunAsPrincipal

    public SecurityIdentityType<T> setRunAsPrincipal(java.lang.String runAsPrincipal)

  If not already created, a new `run-as-principal` element with the given value will be created. Otherwise, the existing `run-as-principal` element will be updated with the given value.

  Specified by:
    `setRunAsPrincipal` in interface `SecurityIdentityType<T>`
  Returns:
    the current instance of `SecurityIdentityType`

### removeRunAsPrincipal

    public SecurityIdentityType<T> removeRunAsPrincipal()

  Removes the `run-as-principal` element

  Specified by:
    `removeRunAsPrincipal` in interface `SecurityIdentityType<T>`
  Returns:
    the current instance of `SecurityIdentityType`

### getRunAsPrincipal

    public java.lang.String getRunAsPrincipal()

  Returns the `run-as-principal` element

  Specified by:
    `getRunAsPrincipal` in interface `SecurityIdentityType<T>`
  Returns:
    the node defined for the element `run-as-principal`

### useCallerIdentity

    public SecurityIdentityType<T> useCallerIdentity()

  Specified by:
    `useCallerIdentity` in interface `SecurityIdentityType<T>`

### isUseCallerIdentity

    public java.lang.Boolean isUseCallerIdentity()

  Specified by:
    `isUseCallerIdentity` in interface `SecurityIdentityType<T>`

### removeRunAs

    public SecurityIdentityType<T> removeRunAs()

  Removes the `run-as` element

  Specified by:
    `removeRunAs` in interface `SecurityIdentityType<T>`
  Returns:
    the current instance of `SecurityIdentityType`

### runAs

    public RunAsType<SecurityIdentityType<T>> runAs()

  If not already created, a new `run-as` element will be created and returned. Otherwise, the existing `run-as` element will be returned.

  Specified by:
    `runAs` in interface `SecurityIdentityType<T>`
  Returns:
    the node defined for the element `run-as`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD